/*-----------------------------------------------------------
 * Template Name    : PARJAK | Responsive Bootstrap 5 Personal Template
 * Author           : FTM-AG
 * Version          : 1.0.0
 * Created          : Feb 2020
 * File Description : Main js file of the template
 *------------------------------------------------------------
 */

// repeated variables
var $window = $(window);
var $root = $('html, body');

$(document).ready(function() {

    "use strict";

    header();
    mySwiper();
    productSwiper();
    product02Swiper();
    awardsSwiper();
    popUpVideo();

});

$window.on('scroll', function() {
    // returnToTop();
    headerSticky();
});

$window.on("load", (function() {
    portfolioIsotop();

}));

/*-----------------------------------------------------------------------------
                                   FUNCTIONS
-----------------------------------------------------------------------------*/
/*-------------------------
        HEADER STICKY
-------------------------*/
function headerSticky() {

    "use strict";

    if ($window.scrollTop() > 1) {
        $('.top-header-area').addClass('d-none');
        $('#header').addClass('header-sticky');
    } else {
        $('.top-header-area').removeClass('d-none');
        $('#header').removeClass('header-sticky');
    }
}
/*===========================
        HEADER 
=============================*/
function header() {

    "use strict";
    // $(".menu .search-btn").on('click', function() {
    //     $(".search-result").toggleClass("active");
    //     $(".home").toggleClass("my-overlay");
    // });

    // $(".navbar-nav .dropdown a").on('click', function() {
    //     $(".home").toggleClass("my-overlay");
    // });


    // $(".navbar-nav .dropdown a").hover(function() {
    //     $(".navbar-nav .dropdown").toggleClass("show");
    //     $(".home").toggleClass("my-overlay");
    // });

    // $(".navbar-nav .dropdown a").hover(function() {
    //     $(".submenu").toggleClass("active");
    //     $(".home").toggleClass("my-overlay");
    // });

    $('.accordion-item:has(div.accordion-collapse show)').css('border', '1px solid #0F5328');
}
/*===========================
        SWIPER
=============================*/
function mySwiper() {

    "use strict";
    var swiper = new Swiper(".mySwiper", {
        spaceBetween: 30,
        pagination: {
            el: ".swiper-pagination",
            clickable: true,
        },
    });
}

function productSwiper() {

    "use strict";
    var swiper = new Swiper(".productSwiper", {
        spaceBetween: 0,
        loop: true,
        slidesPerView: 5,
        pagination: {
            el: ".swiper-pagination",
            clickable: true,
        },
        // Navigation arrows
        navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev',
        },
        // Responsive breakpoints
        breakpoints: {
            320: {
                slidesPerView: 1,
            },
            576: {
                slidesPerView: 2,
            },
            768: {
                slidesPerView: 3,
                spaceBetween: 40
            },
            991: {
                slidesPerView: 4,
                spaceBetween: 10
            },
            1200: {
                slidesPerView: 5,
                spaceBetween: 10
            }
        }
    });
}

function product02Swiper() {

    "use strict";
    var swiper = new Swiper(".product02Swiper", {
        spaceBetween: 0,
        loop: true,
        slidesPerView: 4,
        pagination: {
            el: ".swiper-pagination",
            clickable: true,

        },

        // Navigation arrows
        navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev',
        },
        // Responsive breakpoints
        breakpoints: {
            320: {
                slidesPerView: 1,
            },
            576: {
                slidesPerView: 2,
            },
            768: {
                slidesPerView: 3,
                spaceBetween: 40
            },
            991: {
                slidesPerView: 4,
                spaceBetween: 10
            },
            1200: {
                slidesPerView: 4,
                spaceBetween: 10
            }
        }
    });
}

function awardsSwiper() {

    "use strict";
    var swiper = new Swiper(".awardsSwiper", {
        spaceBetween: 0,
        loop: true,
        slidesPerView: 6,
        pagination: {
            el: ".swiper-pagination",
            clickable: true,

        },

        // Navigation arrows
        navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev',
        },
        // Responsive breakpoints
        breakpoints: {
            320: {
                slidesPerView: 1,
            },
            576: {
                slidesPerView: 2,
            },
            768: {
                slidesPerView: 3,
                spaceBetween: 40
            },
            991: {
                slidesPerView: 4,
                spaceBetween: 10
            },
            1200: {
                slidesPerView: 6,
                // spaceBetween: 10
            }
        }
    });
}

/*------------------------------
    POPUP VIDEO
------------------------------*/
function popUpVideo() {

    "use strict";

    $('.popup-youtube, .popup-vimeo, .popup-gmaps').magnificPopup({
        disableOn: 700,
        type: 'iframe',
        mainClass: 'mfp-fade',
        removalDelay: 160,
        preloader: false,
        fixedContentPos: false
    });
}

/*-------------------------
        ISOTOPE JS
-------------------------*/

function portfolioIsotop() {

    "use strict";

    var $container = $('.portfolio-items');
    var $filter = $('#portfolio-filter');
    $container.isotope({
        filter: '*',
        layoutMode: 'masonry',
        animationOptions: {
            duration: 750,
            easing: 'linear'
        }
    });
    $filter.find('a').on("click", function() {
        var selector = $(this).attr('data-filter');
        $filter.find('a').removeClass('active');
        $(this).addClass('active');
        $container.isotope({
            filter: selector,
            animationOptions: {
                animationDuration: 750,
                easing: 'linear',
                queue: false,
            }
        });
        return false;
    });
}


/*-------------------------
          GOOGLE Map
  -------------------------*/
// function mapInit() {

//     "use strict";
//     if ($('#my-map').length) {
//         var options = {
//             center: new google.maps.LatLng(43.053454, -76.144508),
//             zoom: 11,
//             mapTypeControl: true,
//             panControl: false,
//             zoomControl: true,
//             zoomControlOptions: {
//                 style: google.maps.ZoomControlStyle.DEFAULT,
//                 position: google.maps.ControlPosition.TOP_LEFT
//             },
//             scaleControl: false,
//             styles: [{
//                 "featureType": "water",
//                 "elementType": "geometry",
//                 "stylers": [{
//                     "color": "#576ee9"
//                 }, {
//                     "lightness": 17
//                 }]
//             }, {
//                 "featureType": "landscape",
//                 "elementType": "geometry",
//                 "stylers": [{
//                     "color": "#f5f5f5"
//                 }, {
//                     "lightness": 20
//                 }]
//             }, {
//                 "featureType": "road.highway",
//                 "elementType": "geometry.fill",
//                 "stylers": [{
//                     "color": "#ffffff"
//                 }, {
//                     "lightness": 17
//                 }]
//             }, {
//                 "featureType": "road.highway",
//                 "elementType": "geometry.stroke",
//                 "stylers": [{
//                     "color": "#ffffff"
//                 }, {
//                     "lightness": 29
//                 }, {
//                     "weight": 0.2
//                 }]
//             }, {
//                 "featureType": "road.arterial",
//                 "elementType": "geometry",
//                 "stylers": [{
//                     "color": "#ffffff"
//                 }, {
//                     "lightness": 18
//                 }]
//             }, {
//                 "featureType": "road.local",
//                 "elementType": "geometry",
//                 "stylers": [{
//                     "color": "#ffffff"
//                 }, {
//                     "lightness": 18
//                 }]
//             }, {
//                 "featureType": "poi",
//                 "elementType": "geometry",
//                 "stylers": [{
//                     "color": "#f5f5f5"
//                 }, {
//                     "lightness": 21
//                 }]
//             }, {
//                 "featureType": "poi.park",
//                 "elementType": "geometry",
//                 "stylers": [{
//                     "color": "#d5d5d5"
//                 }, {
//                     "lightness": 21
//                 }]
//             }, {
//                 "elementType": "labels.text.stroke",
//                 "stylers": [{
//                     "visibility": "on"
//                 }, {
//                     "color": "#f8f8f8"
//                 }, {
//                     "lightness": 25
//                 }]
//             }, {
//                 "elementType": "labels.text.fill",
//                 "stylers": [{
//                     "saturation": 36
//                 }, {
//                     "color": "#222222"
//                 }, {
//                     "lightness": 30
//                 }]
//             }, {
//                 "elementType": "labels.icon",
//                 "stylers": [{
//                     "visibility": "off"
//                 }]
//             }, {
//                 "featureType": "transit",
//                 "elementType": "geometry",
//                 "stylers": [{
//                     "color": "#f5f5f5"
//                 }, {
//                     "lightness": 19
//                 }]
//             }, {
//                 "featureType": "administrative",
//                 "elementType": "geometry.fill",
//                 "stylers": [{
//                     "color": "#fefefe"
//                 }, {
//                     "lightness": 10
//                 }]
//             }, {
//                 "featureType": "administrative",
//                 "elementType": "geometry.stroke",
//                 "stylers": [{
//                     "color": "#fefefe"
//                 }, {
//                     "lightness": 17
//                 }, {
//                     "weight": 1.2
//                 }]
//             }],
//         };
//         var map = new google.maps.Map(document.getElementById('my-map'), options);
//         var marker1 = new google.maps.Marker({
//             position: map.getCenter(),
//             title: "Retrina",
//             icon: 'assets/img/location-map.png',
//             animation: google.maps.Animation.BOUNCE
//         });
//         marker1.setMap(map);
//     }
// }

/**
 * Swiper slider - Timeline
 */

$(document).ready(function() {
    var mySwiper = new Swiper(".timeLineSwiper", {
        // slidesPerView: 4,
        autoHeight: true,
        autoplay: false,

        // autoplay: {
        //     delay: 5000,
        //     disableOnInteraction: false
        // },
        speed: 500,
        direction: "horizontal",
        navigation: {
            nextEl: ".swiper-button-next",
            prevEl: ".swiper-button-prev"
        },
        pagination: {
            el: ".swiper-pagination",
            type: "progressbar"
        },
        loop: false,
        effect: "slide",
        spaceBetween: 10,
        on: {
            init: function() {
                $(".swiper-pagination-custom .swiper-pagination-switch").removeClass("active");
                $(".swiper-pagination-custom .swiper-pagination-switch").eq(0).addClass("active");
            },
            slideChangeTransitionStart: function() {
                $(".swiper-pagination-custom .swiper-pagination-switch").removeClass("active");
                $(".swiper-pagination-custom .swiper-pagination-switch").eq(mySwiper.realIndex).addClass("active");
            }
        }
    });
    $(".swiper-pagination-custom .swiper-pagination-switch").click(function() {
        mySwiper.slideTo($(this).index());
        $(".swiper-pagination-custom .swiper-pagination-switch").removeClass("active");
        $(this).addClass("active");
    });
    $(".swiper-pagination-custom .swiper-pagination-switch").innerHtml("");

});