<?php /* Template Name: aboutus page */ ?>
<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
get_header();
?>
<?php
$topImg = get_field('topImg');
$topImgAbout = get_field('topImgAbout');
$text = get_field('text');
$text1 = get_field('text1');
$familyBox = get_field('familyBox');
$video = get_field('video');
$videoPoster = get_field('videoPoster');
$linkto = get_field('linkto');


?>

<div id="about-page" class="main-page">

    <!-- ========== Start Page-Header ========== -->
    <section id="page-header" class="page-header">
        <div class="header-back">
            <div class="breadcrumb-content">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="<?php echo get_home_url(); ?>">صفحه اصلی</a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page"><?php the_title(); ?></li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="container">
            <div class="row align-items-center about-page-content page-header-title">
                <div class="col-lg-6">
                    <div class="mt-3">
                        <h2 class="section-title mt-4"><?php the_title(); ?></h2>
                        <p class="text-muted my-5">
                            <?php echo $text; ?>
                        <div class="pt-5">
                            <a href="<?php echo $linkto; ?>" class="btn main-btn">از گذشته تا امروز</a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="mt-3">
                        <img src="<?php echo $topImgAbout; ?>" alt="" class="img-fluid mx-auto d-block">
                    </div>
                </div>
            </div>
        </div>

    </section>
    <!-- ========== End Page-Header ========== -->

    <!-- ========== Start About-Image ========== -->
    <section id="about-img" class="section about-img">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-12">
                    <div class="mt-3">
                        <?php echo $familyBox; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ========== End About-Image ========== -->

    <!-- ========== Start Video ========== -->
    <section class="my-video">
        <div class="container-fluid">
            <div class="row">
                <div class="px-0 mx-auto">
                    <div class="position-relative video">
                        <img src="<?php echo $videoPoster ?>" alt="/" class="img-fluid w-100 rounded">
                        <a href="<?php echo $video ?>" class="popup-vimeo video-box-btn my-4 mb-lg-0">
                            <i class="lni lni-play"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ========== End Video ========== -->

    <!-- ========== Start Our-Vision ========== -->
    <section class="section our-vision">
        <div class="container">
            <div class="page-header-title">
                <div class="row justify-content-center">
                    <div class="col-lg-12">
                        <div class="text-start header-content mx-auto">
                            <div class="text-center align-items-center">
                                <h1 class="section-title text-center">چشم انداز ما</h1>
                                <p class="text-muted my-5">
                                    <?php echo $text1 ?>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </section>
    <!-- ========== End Our-Vision ========== -->

    <!-- ========== Start Image-Gallery ========== -->
    <section class="section image-gallery">
        <div class="container">
            <h4 class="section-title text-center">گالری تصاویر</h4>
            <div class="row mt-5 d-flex">
                <div class="col-lg-4">
                    <div class="mt-4">
                        <img src="assets/img/image-gallery-01.jpg" alt="/" class="w-100 rounded">
                    </div>
                </div>
                <div class="col-lg-8">
                    <div class="mt-4">
                        <img src="assets/img/image-gallery-02.jpg" alt="/" class="w-100 rounded">
                    </div>
                </div>
            </div>

        </div>
    </section>
    <!-- ========== End Image-Gallery ========== -->

    <!-- ========== Start Awards ========== -->
    <section class="section awards">
        <div class="container">
            <h4 class="section-title text-center">جوایز و افتخارات</h4>
            <div class="row mt-5 px-4">
                <!-- Swiper -->
                <div class="swiper awardsSwiper">
                    <div class="swiper-wrapper">
                        <!-- Item-01 -->
                        <div class="swiper-slide">
                            <div class="awards-item">
                                <div class="awards-img">
                                    <img src="assets/img/awards-01.jpg" alt="" class="img-fluid">
                                </div>
                                <div class="awards-title">
                                    <p>
                                        لوح تقدير
                                    </p>
                                    <p>
                                        بیستمین نمایشگاه بین المللی</p>
                                </div>
                            </div>
                        </div>
                        <!-- Item-02 -->
                        <div class="swiper-slide">
                            <div class="awards-item">
                                <div class="awards-img">
                                    <img src="assets/img/awards-02.jpg" alt="" class="img-fluid">
                                </div>
                                <div class="awards-title">
                                    <p>
                                        لوح تقدير
                                    </p>
                                    <p>
                                        بیستمین نمایشگاه بین المللی</p>
                                </div>
                            </div>
                        </div>
                        <!-- Item-03 -->
                        <div class="swiper-slide">
                            <!-- Item-01 -->
                            <div class="awards-item">
                                <div class="awards-img">
                                    <img src="assets/img/awards-03.jpg" alt="" class="img-fluid">
                                </div>
                                <div class="awards-title">
                                    <p>
                                        لوح تقدير
                                    </p>
                                    <p>
                                        بیستمین نمایشگاه بین المللی</p>
                                </div>
                            </div>
                        </div>
                        <!-- Item-04 -->
                        <div class="swiper-slide">
                            <!-- Item-01 -->
                            <div class="awards-item">
                                <div class="awards-img">
                                    <img src="assets/img/awards-04.jpg" alt="" class="img-fluid">
                                </div>
                                <div class="awards-title">
                                    <p>
                                        لوح تقدير
                                    </p>
                                    <p>
                                        بیستمین نمایشگاه بین المللی</p>
                                </div>
                            </div>
                        </div>
                        <!-- Item-05 -->
                        <div class="swiper-slide">
                            <!-- Item-01 -->
                            <div class="awards-item">
                                <div class="awards-img">
                                    <img src="assets/img/awards-01.jpg" alt="" class="img-fluid">
                                </div>
                                <div class="awards-title">
                                    <p>
                                        لوح تقدير
                                    </p>
                                    <p>
                                        بیستمین نمایشگاه بین المللی</p>
                                </div>
                            </div>
                        </div>
                        <!-- Item-06 -->
                        <div class="swiper-slide">
                            <!-- Item-01 -->
                            <div class="awards-item">
                                <div class="awards-img">
                                    <img src="assets/img/awards-02.jpg" alt="" class="img-fluid">
                                </div>
                                <div class="awards-title">
                                    <p>
                                        لوح تقدير
                                    </p>
                                    <p>
                                        بیستمین نمایشگاه بین المللی</p>
                                </div>
                            </div>
                        </div>
                        <!-- Item-07 -->
                        <div class="swiper-slide">
                            <!-- Item-01 -->
                            <div class="awards-item">
                                <div class="awards-img">
                                    <img src="assets/img/awards-03.jpg" alt="" class="img-fluid">
                                </div>
                                <div class="awards-title">
                                    <p>
                                        لوح تقدير
                                    </p>
                                    <p>
                                        بیستمین نمایشگاه بین المللی</p>
                                </div>
                            </div>
                        </div>
                        <!-- Item-08 -->
                        <div class="swiper-slide">
                            <!-- Item-01 -->
                            <div class="awards-item">
                                <div class="awards-img">
                                    <img src="assets/img/awards-04.jpg" alt="" class="img-fluid">
                                </div>
                                <div class="awards-title">
                                    <p>
                                        لوح تقدير
                                    </p>
                                    <p>
                                        بیستمین نمایشگاه بین المللی</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="swiper-button-next"></div>
                <div class="swiper-button-prev"></div>
            </div>
        </div>
    </section>
    <!-- ========== End Awards ========== -->

</div>
<?php get_footer(); ?>
