<?php /* Template Name: brands page */ ?>
<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
get_header();
?>
<?php
$logo = get_field('logo');
$text = get_field('text');
$title_text = get_field('title_text');

?>
    <main id="main" class="site-main banches-main family-mihan-main">
        <section class="container-fluid inner-header">
            <div class="arrowAfter"></div>
            <div class="row">
                <div class="col-12 logo-family-center">
                    <div class="title-part inner-title">
                        <h1 class="title-site"><?php the_title() ?></h1>
                    </div>
                    <div id="breadcrumbs" class="container">
                        <a href="/">
                            صفحه اصلی
                            <i class="arrow-breadcrumb mihan-icon"></i>
                        </a>
                        <span class="breadcrumb_last" aria-current="page">
                خانواده بزرگ میهن
              </span>
                    </div>
                    <img class="logo" src="<?php echo $logo ?>" alt="<?php the_title() ?>"/>
                </div>
            </div>
        </section>
        <section class="section-description">
            <div class="container">
                <div class="col-12">
                    <p>
                        <?php echo $text ?>
                    </p>
                </div>
            </div>
        </section>
        <section class="section-brands">
            <div class="container">
                <?php echo $title_text ?>

                <?php

                $args = array(
                    'post_type' => 'brands',
                    'posts_per_page'=>-1
                );
                $brands_company = [];
                $the_query = new WP_Query($args);
                if ($the_query->have_posts()) :
                    while ($the_query->have_posts()) :
                        $the_query->the_post();
                        $company = get_field('company', get_the_ID());
                        if (!array_search($company, $brands_company)) {
                            $brands_company[] = $company;
                        }
                        unset($brands_company[0]);
                    endwhile;
                    wp_reset_postdata();
                endif;
                ?>


                <?php
                foreach ($brands_company as $value) {

                    ?>

                    <div class="brands-container">
                        <h2><?php echo $value ?></h2>
                        <div class="brands-box">
                            <?php
                            $args = array(
                                'post_type' => 'brands',
                                'meta_query' => array(
                                    array(
                                        'key' => 'company',
                                        'value' => $value
                                    )
                                )
                            );

                            $the_query = new WP_Query($args);
                            if ($the_query->have_posts()) :
                                while ($the_query->have_posts()) :
                                    $the_query->the_post();
                                    $company = get_field('company', get_the_ID());
                                    ?>
                                    <a href="<?php the_permalink(); ?>">
                                        <img src="<?php echo get_the_post_thumbnail_url( get_the_ID(), 'medium' ); ?>" alt=""/>
                                    </a>

                                <?php
                                endwhile;
                                wp_reset_postdata();
                            endif;
                            ?>
                        </div>
                    </div>
                    <?php
                }
                ?>


            </div>
        </section>
    </main>
<?php get_footer(); ?>