<?php
/**
 * The template for displaying the footer.
 *
 * Contains the body & html closing tags.
 *
 * @package HelloElementor
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

if (!function_exists('elementor_theme_do_location') || !elementor_theme_do_location('footer')) {
    if (did_action('elementor/loaded') && hello_header_footer_experiment_active()) {
        get_template_part('template-parts/dynamic-footer');
    } else {
        get_template_part('template-parts/footer');
    }
}
?>
<!-- START FOOTER -->
<footer class="section footer" id="footer">
    <div class="footer-bg-graphics">
        <img src="assets/img/footer-bg.png" alt="/">
    </div>
    <div class="container">
        <div class="row mb-lg-5 mb-3">
            <!-- FOOTER Roiton-INFO -->
            <div class="col-lg-6">
                <div class="footer-details">
                    <ul class="social-link d-flex">
                        <li><a href="#"><i class="lni lni-whatsapp"></i></a></li>
                        <li>
                            <a href="#"><img src="assets/img/aparat-logo.png" alt=""></a>
                        </li>
                        <li><a href="#"><i class="lni lni-instagram-original"></i></a></li>
                    </ul>
                    <!-- Text -->
                    <p>توضیحات درباره پروژه های برند در اینجا می آید تا مشخص کند که در چه حیطه ای پروژه ها را تولید میکنند توضیحات درباره پروژه های برند در اینجا می آید
                    </p>
                    <!-- Title -->
                    <h6 class="my-5">عضویت در خبرنامه</h6>
                    <form>
                        <input class="newsletter" type="text" placeholder="ایمیل خود را وارد کنید" />
                        <button class="newsletter-btn" type="submit"><img src="assets/img/button.png" alt=""></button>
                    </form>
                </div>
            </div>
            <!-- FOOTER INFO -->
            <div class="col-lg-3 col-6">
                <div class="footer-info">
                    <ul class="">
                        <li><a href="#">محصولات</a></li>
                        <li><a href="#">سوالات متداول</a></li>
                        <li><a href="#">تاریخچه</a></li>
                        <li><a href="#">وبلاگ</a></li>
                        <li><a href="#">درباره ما</a></li>
                        <li><a href="#">تماس با ما</a></li>
                    </ul>
                </div>
            </div>
            <!-- FOOTER NEWSLETTER FORM -->
            <div class="col-lg-3 col-6">
                <div class="footer-info">
                    <ul class="">
                        <li><a href="#">عنوان لینک مفيد</a></li>
                        <li><a href="#">عنوان لینک مفيد</a></li>
                        <li><a href="#">عنوان لینک مفيد</a></li>
                        <li><a href="#">عنوان لینک مفيد</a></li>
                        <li><a href="#">عنوان لینک مفيد</a></li>
                        <li><a href="#">عنوان لینک مفيد</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="footer-copy-right">
                <a href="#">قوانین و مقررات</a>
                <a href="#">کلیه حقوق این سایت متعلق به شکوفا بهداشت آرین می باشد.</a>
            </div>
        </div>
    </div>
</footer>
<!-- END FOOTER -->
<?php wp_footer(); ?>

</body>
</html>
