<?php
/**
 * The template for displaying header.
 *
 * @package HelloElementor
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
$site_name = get_bloginfo( 'name' );
$tagline   = get_bloginfo( 'description', 'display' );
$header_nav_menu = wp_nav_menu( [
	'theme_location' => 'menu-1',
	'fallback_cb' => false,
	'echo' => false,
] );
?>
<a class="skip-link screen-reader-text" href="#content">
	<?php _e( 'Skip to content', 'hello-elementor' ); ?></a>

<!--<header id="site-header" class="site-header" role="banner">-->
<!---->
<!--	<div class="site-branding">-->
<!--		--><?php
//		if ( has_custom_logo() ) {
//			the_custom_logo();
//		} elseif ( $site_name ) {
//			?>
<!--			<h1 class="site-title">-->
<!--				<a href="--><?php //echo esc_url( home_url( '/' ) ); ?><!--" title="--><?php //esc_attr_e( 'Home', 'hello-elementor' ); ?><!--" rel="home">-->
<!--					--><?php //echo esc_html( $site_name ); ?>
<!--				</a>-->
<!--			</h1>-->
<!--			<p class="site-description">-->
<!--				--><?php
//				if ( $tagline ) {
//					echo esc_html( $tagline );
//				}
//				?>
<!--			</p>-->
<!--		--><?php //} ?>
<!--	</div>-->
<!---->
<!--	--><?php //if ( $header_nav_menu ) : ?>
<!--		<nav class="site-navigation" role="navigation">-->
<!--			--><?php //echo $header_nav_menu; ?>
<!--		</nav>-->
<!--	--><?php //endif; ?>
<!--</header>-->

<!-- ========== Start Header ========== -->
<header id="header" class="header-section w-100">
    <div class="top-header-area">
        <div class="container">
            <div class="row">
                <div class="col-7">
                    <div class="top-header-info">
                        <ul class="list-inline mb-0">
                            <li class="list-inline-item">
                                <p class="mb-0">به طبیعت سلامی دوباره باید کرد</p>
                            </li>
                            <li class="list-inline-item">
                                <a href="javascript:void(0);">En</a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-5">
                    <div class="top-header-social">
                        <ul class="list-inline mb-0">
                            <li class="list-inline-item aparat">
                                <a href="#">
                                    APARAT
                                    <img src="assets/img/aparat-logo.png" alt="">
                                </a>
                            </li>
                            <li class="list-inline-item">
                                <a href="javascript:void(0);">
                                    <i class="lni lni-instagram-original"></i>
                                </a>
                            </li>
                            <li class="list-inline-item">
                                <a href="javascript:void(0);">
                                    <i class="lni lni-whatsapp"></i>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <div class="container">
        <div class="row header-bottom dir-ltr">
            <nav class="navbar navbar-expand-lg navbar-light">
                <div class="container-fluid">
                    <a class="navbar-brand" href="index.html"><img src="assets/img/logo.png" alt="/"></a>
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#main_nav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="main_nav">
                        <ul class="navbar-nav">
                            <li class="nav-item active">
                                <a class="nav-link" href="product.html" target="_blank">
                                    <h2>محصولات </h2>
                                </a>
                            </li>
                            <li class="nav-item dropdown">
                                <a class="nav-link  dropdown-toggle" href="#" data-bs-toggle="dropdown">
                                    <h2>درباره ما</h2>
                                </a>
                                <ul class="submenu-nav dropdown-menu">
                                    <li class="submenu-nav-item"><a class="dropdown-item" href="#"> از گذشته تا امروز </a></li>
                                    <li class="submenu-nav-item"><a class="dropdown-item" href="#"> از گذشته تا امروز</a></li>
                                    <li class="submenu-nav-item"><a class="dropdown-item" href="#"> افتخارات</a></li>
                                </ul>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="faq.html" target="_blank">
                                    <h2>سوالات متداول</h2>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="gallery.html" target="_blank">
                                    <h2>گالری تصاوير</h2>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="branches.html" target="_blank">
                                    <h2>نمایندگان</h2>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="contact.html" target="_blank">
                                    <h2>تماس با ما</h2>
                                </a>
                            </li>
                            <li class="nav-item dropdown">
                                <a class="nav-link  dropdown-toggle" href="#" data-bs-toggle="dropdown">
                                    <h2>جستجو <i class="lni lni-search-alt"></i> </h2>
                                </a>
                                <ul class="submenu-nav dropdown-menu">
                                    <li class="submenu-nav-item"><a class="dropdown-item" href="#">نتایج جستجو</a></li>
                                    <li class="submenu-nav-item">
                                        <a class="dropdown-item" href="#"> <img src="assets/img/blog-03.png" alt=""> عنوان دقیق پست وبلاگ در اینجا</a>
                                    </li>
                                    <li class="submenu-nav-item">
                                        <a class="dropdown-item" href="#"> <img src="assets/img/blog-02.png" alt=""> عنوان دقیق پست وبلاگ در اینجا</a>
                                    </li>
                                    <li class="submenu-nav-item">
                                        <a class="dropdown-item" href="#"> <img src="assets/img/blog-01.png" alt=""> عنوان دقیق پست وبلاگ در اینجا</a>
                                    </li>

                                </ul>
                            </li>
                        </ul>
                        <ul class="navbar-nav ms-auto">
                            <li class="nav-item"><a class="nav-link" href="#"> پیشنهاد شامپو
                                    <img src="assets/img/shampoo-top-img.png" alt=""> </a></li>

                        </ul>
                    </div>
                    <!-- navbar-collapse.// -->
                </div>
                <!-- container-fluid.// -->
            </nav>
        </div>
    </div>
</header>
<!-- ========== End Header ========== -->
