<?php
/**
 * The template for displaying singular post-types: posts, pages and user-defined custom post types.
 *
 * @package HelloElementor
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
?>
<?php
while (have_posts()) :
    the_post();
    ?>


    <main id="main" class="site-main main-news-single main-about">
        <section class="container-fluid inner-header">
            <div class="container">
                <div class="row">
                    <div class="col-lg-8">
                        <div class="title-part inner-title">
                            <h1 class="title-site">
                                <?php the_title(); ?>
                            </h1>
                        </div>
                        <div id="breadcrumbs" class="container">
                            <a href="<?php echo get_home_url();?>">
                                صفحه اصلی
                                <i class="arrow-breadcrumb mihan-icon"></i>
                            </a>
                            <a href="<?php echo get_home_url();?>/news">
                                اخبار
                                <i class="arrow-breadcrumb mihan-icon"></i>
                            </a>
                            <span class="breadcrumb_last" aria-current="page">
                   <?php the_title(); ?>
                </span>
                        </div>
                        <div class="map-branches"></div>
                    </div>
                    <div class="col-lg-4 p-0">
                        <div class="share-date">
                            <div class="share">
                                <div class="shareIcon openRight">
                                    <span class="icon-Share"></span>
                                    <ul>
                                        <li class="phone"><a href="" target="_blank"><span class="icon-whatsapp"></span></a></li>
                                        <li class="insta"><a href="" target="_blank"><span class="icon-instageram"></span></a></li>
                                        <li class="twitt"><a href="" target="_blank"><span class="icon-twitter"></span></a></li>
                                    </ul>
                                </div>
                            </div>
                            <div class="date">
                                <span>   <?php the_date(); ?> </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="container-fluid curve-after"></section>
        <section class="container news-content">
            <div class="row">
                <div class="col-12">
                    <div class="featured-image">
                        <?php the_post_thumbnail(); ?>
                    </div>
                    <div class="page-content">
                        <?php the_content(); ?>
                        <div class="post-tags">
                            <?php the_tags('<span class="tag-links">' . __('Tagged ', 'hello-elementor'), null, '</span>'); ?>
                        </div>
                        <?php wp_link_pages(); ?>
                    </div>
                </div>
            </div>
        </section>
        <section class="container news-comments">
            <div class="row">
                <div class="col-12 ">
                    <div id="comments">
                        <div class="comment-list"></div>
                        <div class="comment-wrapper">
                            <div id="respond" class="comment-respond">
                                <form method="post" id="commentform" class="comment-form">
                                    <?php comments_template(); ?>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>

    <style>
        #reply-title {
            font-size: 24px;
            text-align: center;
        }

        .comment-notes {
            text-align: center;
            margin-bottom: 45px;
        }

        #author, #email, #url, textarea {
            color: #222;
            width: 100%;
            border: 0;
            border-radius: 16px;
            min-height: 70px;
            padding: 10px 25px;
            margin-bottom: 15px;
            box-shadow: 0 15px 68px #2c2c2e29;
        }

        p.form-submit {
            text-align: center;
        }

        #submit {
            background: #003383;
            color: #fff;
            text-align: center;
            width: 160px;
            height: 55px;
            border-radius: 50px;
            margin: 40px auto 10px;
        }
        #breadcrumbs {

            justify-content: flex-start;
        }
    </style>
<?php
endwhile;
